## libvirt 5.0.0

=== debian/changelog ===
libvirt (5.0.0-4+deb10u1) buster; urgency=medium

  [ Tobias Wolter ]
  * [711f612] apparmor: Allow one to run pygrub

  [ Guido Günther ]
  * [3bcbf56] Don't render osxsave, ospke into QEMU comman line.
    This helps newer QEMU with some configs generated by virt-install.
    Thanks to Michal Arbet for digging out the patches (Closes: #944248)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 05 Dec 2019 00:22:14 +0100

libvirt (5.0.0-4) unstable; urgency=medium

  * [0fdc2af] Fix multiple CVEs related to privilege escalations on R/O
    connections.
    - CVE-2019-10161:
      CVE-2019-10161-api-disallow-virDomainSaveImageGetXMLDesc-.patch
    - CVE-2019-10166:
      api-disallow-virDomainManagedSaveDefineXML-on-read-only-c.patch
    - CVE-2019-10167:
      api-disallow-virConnectGetDomainCapabilities-on-read-only.patch
    - CVE-2019-10168:
      api-disallow-virConnect-HypervisorCPU-on-read-only-connec.patch
  * Include /etc/pki/qemu in apparmor (Closes: #930100)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 17 Jun 2019 19:05:40 +0200

libvirt (5.0.0-3) unstable; urgency=medium

  [ Guido Günther ]
  * [6bc6e60] CVE-2019-10132: Fix vir{lock,log}d socket access.
    All patches were cherry-picked from upstream's v5.0-maint branch.
    (Closes: #929334)
  * [09016dd] d/patches: Move security fixes into security/

  [ Joachim Falk ]
  * [5d96699] lxc: Fix killing of lxc containers if cgroup backend v2 is
    unavailable.
    (Closes: #926999)
  * [ea7a491] lxc: Fix container shutdown and host reboot
    (Closes: #927310, #897394)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 22 May 2019 12:31:08 +0200

libvirt (5.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Guido Günther ]
  * [3a9c65c] d/control: Fix typo
  * [b9935e5] d/control: Drop Debian revision on iptables build-dep.
    Any version greater than 1.8.1 will do.

  [ Salvatore Bonaccorso ]
  * [b811e38] cpu_map: Define md-clear CPUID bit (CVE-2018-12126,
    CVE-2018-12127, CVE-2018-12130, CVE-2019-11091)
    (Closes: #929154)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 19 May 2019 13:50:25 +0200

libvirt (5.0.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * [76e2cb7] Don't recommend ebtables.  It's part of the iptables package now.
    (Closes: #918472)

  [ intrigeri ]
  * [d7a7218] Fix virtio-gpu + virgl support by cherry-picking upstream
    commits virt-manager in current sid still creates new VMs with QXL
    graphics by default, so this bug only affects users who opt in for
    virtio-gpu 3D acceleration.  Still, the option for virtio-gpu + 3D
    acceleration is offered in the virt-manager GUI, so having it broken by
    default is an important problem.
    (Closes: #916587)

  [ Christian Ehrhardt ]
  * [3997186] d/libvirt-daemon-system.maintscript: remove obsolete conffile
    /etc/logrotate.d/libvirtd.uml became obsolete since UML was dropped in
    libvirt 5.0 (Closes: #920574)
  * [c64d020] d/libvirt-daemon-system.libvirtd.default: clarify libvirtd_opts
    example (Closes: #921713)

  [ Guido Günther ]
  * [790365e] CVE-2019-3886: Don't allow unprivileged users to use the guest
    agent. Apply upstream patches
    remote-enforce-ACL-write-permission-for-getting-guest-tim.patch
    api-disallow-virDomainGetHostname-for-read-only-connectio.patch
    (Closes: #926418)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 07 Apr 2019 12:36:21 +0200

libvirt (5.0.0-1) unstable; urgency=medium

  * [7346f30] New upstream version 5.0.0
  * [1c46a4c] Drop sheepdog support (Closes: #908071)
  * [b88175f] Bump symbol versions
  * [c13a8da] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Wed, 16 Jan 2019 10:31:33 +0100

libvirt (4.10.0-2) unstable; urgency=medium

  [ Marcin Juszkiewicz ]
  * [d143d3c] update Vcs-git tags to point to salsa.debian.org
  * [96995c1] Fix versions in *.NEWS files
  * [8e8286d] Don't mark bash completion as executable
  * [72f8ed3] Use multiarch layout.
    Based on the on what Ubuntu does (Closes: #813062)
  * [9b52c21] Use dpkg-buildflags on configure
    to e.g. get the proper hardening flags.

  [ Andrea Bolognani ]
  * [684bb89] Move data files from libvirt-daemon to libvirt0.
    These files are used internally by the library, so they
    should be shipped along with it rather than with the daemon.
    This is consistent with the upstream libvirt.spec file.
    The pattern is partially expanded in the libvirt0.install
    file to avoid having to remove a specific subset of data
    files later on as part of debian/rules.

  [ Guido Günther ]
  * [a6cbf92] cpu_map is now a directory.
    It used to be a single XML file

 -- Guido Günther <agx@sigxcpu.org>  Tue, 18 Dec 2018 12:55:10 +0100

libvirt (4.10.0-1) unstable; urgency=medium

  * [0cde44d] Remove bridge-utils from recommends.  We don't use brctl since
    ages.  Thanks to Andreas Henriksson
  * [3c22e06] Drop debian/remove-RHism.diff.patch.
    Debian has /usr/bin/service since quiet some time now.
    Thanks to Andrea Bolognani
  * [54a5cdb] New upstream version 4.10.0
  * [87f075c] Rediff patches
  * [f798585] Bump symbol versions
  * [3bfd881] Depend on sensible-utils

 -- Guido Günther <agx@sigxcpu.org>  Thu, 13 Dec 2018 11:58:14 +0100

libvirt (4.7.0-1) unstable; urgency=medium

  * [8ff38ac] New upstream version 4.7.0
    (Closes: #908341)
  * [afdd147] Bump symbol versions
  * [41fa8f5] Rediff patches.
    Drop all jansson related patches. Fixed ustream.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Sep 2018 21:42:33 +0200
