=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
 Build-Depends:
  bash-completion,
@@ -35,22 +34,21 @@
  libnl-route-3-dev [linux-any],
  libyajl-dev,
  libpcap0.8-dev,
- libnuma-dev [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x],
- numad [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x],
+ libnuma-dev [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el],
+ numad [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el],
  radvd [linux-any],
+ libnetcf-dev (>= 1:0.2.3-3~) [linux-any],
  libsanlock-dev [linux-any],
  libaudit-dev [linux-any],
  libselinux1-dev (>= 2.0.82) [linux-any],
  libapparmor-dev [linux-any],
  libdbus-1-dev [linux-any],
  nfs-common,
- systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc ppc64el s390 s390x],
+ systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc s390],
  python,
  xsltproc,
  zfsutils [kfreebsd-amd64 kfreebsd-i386],
  po-debconf,
-# for --with-storage-sheepdog
- sheepdog [linux-any],
 # for --with-storage-rados
  librbd-dev [linux-any],
  librados-dev [linux-any],
@@ -62,7 +60,7 @@
 # for lxc fuse support
  libfuse-dev [linux-any],
 # for libssh2 connection URIs
-# libssh2-1-dev,
+ libssh2-1-dev,
 # for qemu-bridge-helper
  qemu-system-common,
 # For "make check"
@@ -71,14 +69,11 @@
  dnsmasq-base,
  openssh-client,
  netcat-openbsd,
- ebtables [linux-any],
- iptables [linux-any],
+ iptables (>= 1.8.1) [linux-any],
  qemu-utils,
 Build-Conflicts: dpkg-dev (= 1.15.3)
-XS-Debian-Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/libvirt.git
-XS-Debian-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libvirt/libvirt.git/
-Vcs-Git: git://git.launchpad.net/~libvirt-maintainers/ubuntu/+source/libvirt
-Vcs-Browser: https://git.launchpad.net/~libvirt-maintainers/ubuntu/+source/libvirt
+Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
+Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
 Homepage: http://libvirt.org
 Standards-Version: 4.1.1
 
@@ -88,6 +83,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  libvirt0 (= ${binary:Version}),
+ sensible-utils,
 Section: admin
 Suggests:
  libvirt-daemon,
@@ -111,10 +107,9 @@
  qemu-kvm | qemu (>= 0.9.1),
  libxml2-utils,
  netcat-openbsd,
- libvirt-daemon-driver-storage-rbd,
 Suggests:
  libvirt-daemon-driver-storage-gluster,
- libvirt-daemon-driver-storage-sheepdog,
+ libvirt-daemon-driver-storage-rbd,
  libvirt-daemon-driver-storage-zfs,
  libvirt-daemon-system,
  numad,
@@ -124,7 +119,7 @@
  a long term stable C API for different virtualization mechanisms. It currently
  supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
  .
- This package contains the daemon libvirtd to manage the hypvervisors.
+ This package contains the daemon libvirtd to manage the hypervisors.
 
 Package: libvirt-daemon-driver-storage-gluster
 Architecture: linux-any
@@ -159,23 +154,6 @@
  supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
  .
  This package contains the libvirtd storage driver for RBD/Rados/Ceph.
-
-Package: libvirt-daemon-driver-storage-sheepdog
-Architecture: linux-any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- libvirt-daemon (= ${binary:Version}),
-Replaces: libvirt-daemon (<< 3.7.0-3~)
-Breaks: libvirt-daemon (<< 3.7.0-3~)
-Section: admin
-Description: Virtualization daemon Sheedog storage driver
- Libvirt is a C toolkit to interact with the virtualization capabilities
- of recent versions of Linux (and other OSes). The library aims at providing
- a long term stable C API for different virtualization mechanisms. It currently
- supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
- .
- This package contains the libvirtd storage driver for Sheepdog.
 
 Package: libvirt-daemon-driver-storage-zfs
 Architecture: linux-any
@@ -204,14 +182,12 @@
  lsb-base,
  libvirt-clients (= ${binary:Version}),
  libvirt-daemon (= ${binary:Version}),
- iptables (>= 1.4.10) [linux-any] | firewalld,
+ iptables (>= 1.8.1-1) [linux-any] | firewalld,
  logrotate,
  policykit-1,
 Recommends:
- bridge-utils,
  dmidecode,
  dnsmasq-base (>= 2.46-1),
- ebtables [linux-any],
  iproute2,
  parted,
 Section: admin
@@ -242,7 +218,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: lvm2 [linux-any]
-Breaks: selinux-policy-default (<< 2:2.20131214-1~), selinux-policy-mls (<< 2:2.20131214-1~)
+Breaks: selinux-policy-default (<< 2:2.20131214-1~), selinux-policy-mls (<< 2:2.20131214-1~), libvirt-daemon (<< 4.10.0-2~)
+Replaces: libvirt-daemon (<< 4.10.0-2~)
 Description: library for interfacing with different virtualization systems
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
