=== debian/tests/control ===
Tests: smoke
Depends: libvirt-clients
Restrictions: allow-stderr

Tests: smoke-qemu-session
Depends: libvirt-daemon, libvirt-clients, libxml2-utils, qemu-system, qemu-kvm
Restrictions: allow-stderr, isolation-container

Tests: smoke-lxc
Depends: libvirt-daemon-system, libvirt-clients, libxml2-utils
Restrictions: allow-stderr, needs-root

Tests: build-test
Depends: libvirt-dev, build-essential, pkg-config
Restrictions: allow-stderr
