=== debian/control ===
--- 
+++ 
@@ -69,7 +69,7 @@
  dnsmasq-base,
  openssh-client,
  netcat-openbsd,
- iptables (>= 1.8.1) [linux-any],
+ iptables (>= 1.8.1-1) [linux-any],
  qemu-utils,
 Build-Conflicts: dpkg-dev (= 1.15.3)
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
@@ -119,7 +119,7 @@
  a long term stable C API for different virtualization mechanisms. It currently
  supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
  .
- This package contains the daemon libvirtd to manage the hypervisors.
+ This package contains the daemon libvirtd to manage the hypvervisors.
 
 Package: libvirt-daemon-driver-storage-gluster
 Architecture: linux-any
